BitScope & Catalina = No Bueno

I just updated the Macbook I use for running my BitScope USB oscilloscope to macOS 10.15.2 Catalina. Such a BIG mistake for such a small USB device, which is now useless. BitScope appears to have stopped meaningful support a few years ago, and doesn’t have a 64-bit build ready.

Lesson: If you have a BitScope maybe sell it and buy something that will work with a 64-bit OS. Or don’t upgrade an old laptop to use with bitscope – but also don’t connect it to the internet lest ye be pwned.

I’m going to keep digging on this, because they do have support for RPi’s, but the users on the Trello support board are pretty miffed with the 100% lack of support. If you know anything, leave a comment below.